---
schema_version: "1"
id: 018a80ae8ccf6c2af979f9560cafaa3f74047efe0eb52712d794c320d53d86a8
title: Getting CSV Full Export
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/retail_api/rtr_getting_csv_full_export.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.retail_api.meta/retail_api/rtr_getting_csv_full_export.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: ebf40888859573e8fdd6f377bf965909039a43025e61f345d81f160a909f90af
---
# Getting CSV Full Export

After you’ve retrieved the access token, the actual full export file can be requested.

## cURL example:

curl --location --request GET 'https://int-vir-us.consumergoodscloudprocessingservices.com/api/v1/files/getcsv/{{csvGuid}}?path=full
--header 'Content-Type: application/json' \\
--header 'Authorization: Bearer {{access\_token}}'

The response is a binary file that must be stored. The format of this file is <filename>.csv. This archive can then be opened with a compression software.